升级centos的httpd/php/mysql版本

centos自带的软件版本太低了,即使是最新的5.5版本,自带的php居然是5.1版本。据说php5.2.9以下版本都有bug,因此必须升级centos的yum数据库。

以下最官方的升级方法,连到centos的测试仓库区升级:

编辑

/etc/yum.repos.d/centos-test.repo

[c5-testing]
name=CentOS-5 Testing 
baseurl=http://dev.centos.org/centos/5/testing/$basearch/
enabled=1
gpgcheck=1
gpgkey=http://dev.centos.org/centos/RPM-GPG-KEY-CentOS-testing

然后

yum update

即可

文章分类: 
文章标签: 

评论

007的头像

vim /etc/yum.repos.d/rusia-repo.repo

[rusia-repo]

name=CentOS-$releasever – rusia packages for $basearch

baseurl=http://centos.alt.ru/repository/centos/5/$basearch/

enabled=1

gpgcheck=0

protect=1

 

 

rpm -Uvh http://download.fedora.redhat.com/pub/epel/5/x86_64/epel-release-5-4.noa...



yum install nginx php-fpm

添加新评论